#ifndef RECTANGLE_HPP
#define RECTANGLE_HPP

#include "vector.hpp"
#include "point.hpp"

class Rectangle { // tglalap osztly
public:
   Rectangle(Point p, int x, int y);
   void resize(int x, int y);
   void move(Vector v);
   Point getPoint() const;
   int getSizeX() const;
   int getSizeY() const;
   int area() const;
private:
   Point _point;
   int _sizeX;
   int _sizeY;
};

#endif // RECTANGLE_H
